Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sound
Class SoundTask.BuildAlert

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sound.SoundTask.BuildAlert

Enclosing class:
  SoundTask

public class SoundTask.BuildAlert
extends java.lang.Object

A class to be extended by any BuildAlert's that require the output of sound.

Constructor Summary
`SoundTask.BuildAlert()`

Method Summary
`java.lang.Long` | `getDuration()` Gets the duration in milliseconds the file should be played.
`int` | `getLoops()` Sets the number of times the source file should be played.
`java.io.File` | `getSource()` Gets the location of the file to get the audio.
`void` | `setDuration(java.lang.Long duration)` Sets the duration in milliseconds the file should be played.
`void` | `setLoops(int loops)` Sets the number of times the source file should be played.
`void` | `setSource(java.io.File source)` Sets the location of the file to get the audio.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoundTask.BuildAlert

    public SoundTask.BuildAlert()

Method Detail

### setDuration

    public void setDuration(java.lang.Long duration)

  Sets the duration in milliseconds the file should be played.

### setSource

    public void setSource(java.io.File source)

  Sets the location of the file to get the audio.
  Parameters:
    `source` - the name a sound-file directory or of the audio file

### setLoops

    public void setLoops(int loops)

  Sets the number of times the source file should be played.
  Parameters:
    `loops` - the number of loops to play the source file

### getSource

    public java.io.File getSource()

  Gets the location of the file to get the audio.

### getLoops

    public int getLoops()

  Sets the number of times the source file should be played.
  Returns:
    the number of loops to play the source file

### getDuration

    public java.lang.Long getDuration()

  Gets the duration in milliseconds the file should be played.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.